de.vc.jfo.attributes

## Class Values

- java.lang.Object
- - de.vc.jfo.attributes.Values

-     public class Values
      extends java.lang.Object

  Holds some final values of formatting objects.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Values.Alignment`
    `static class` | `Values.BlankOrNot` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static class` | `Values.Break`
    `static class` | `Values.DisplayAlignment` This property specifies the alignment, in the block-progression-direction, of the areas that are the children of a reference-area.
    `static class` | `Values.ForcePageCount` Force-page-count is used to impose a constraint on the number of pages in a page-sequence.
    `static class` | `Values.LinefeedTreatment` The "linefeed-treatment" property specifies the treatment of linefeeds (character flow objects whose Unicode code point is U+000A) during the refinement process.
    `static class` | `Values.OddOrEven` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static class` | `Values.PagePosition` This property forms part of a selection rule to determine if the referenced page-master is eligible for selection at this point in the page-sequence.
    `static class` | `Values.Pattern` Provides the specification of how to fill in the leader.
    `static class` | `Values.Region` This property is used to identify a region within a simple-page-master.
    `static class` | `Values.Scaling` Specifies whether scaling needs to preserve the intrinsic aspect ratio.
    `static class` | `Values.VerticalAlignment`
    `static class` | `Values.WhiteSpaceTreatment` The "white-space-treatment" property specifies the treatment during the refinement process of character flow objects, except for linefeeds, that are classified as white space in XML.
    `static class` | `Values.WritingMode` Writing mode property.

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static Values.Alignment` | `ALIGNMENT_CENTER` Specifies that the content is to be centered in the inline-progression-direction.
    `static Values.Alignment` | `ALIGNMENT_END` Specifies that the content is to be aligned on the end-edge in the inline-progression-direction.
    `static Values.Alignment` | `ALIGNMENT_INSIDE` If the page binding edge is on the start-edge, the alignment will be start.
    `static Values.Alignment` | `ALIGNMENT_JUSTIFY` Specifies that the contents is to be expanded to fill the available width in the inline-progression-direction.
    `static Values.Alignment` | `ALIGNMENT_LEFT` Interpreted as "text-align='start'".
    `static Values.Alignment` | `ALIGNMENT_OUTSIDE` If the page binding edge is on the start-edge, the alignment will be end.
    `static Values.Alignment` | `ALIGNMENT_RIGHT` Interpreted as "text-align='end'".
    `static Values.Alignment` | `ALIGNMENT_START` Specifies that the content is to be aligned on the start-edge in the inline-progression-direction.
    `static Values.BlankOrNot` | `ANY_BLANK_OR_NOT` This master is always eligible for selection.
    `static Values.OddOrEven` | `ANY_ODD_OR_EVEN` This master is eligible for selection regardless of whether the page number is odd or even.
    `static Values.BlankOrNot` | `BLANK` This master is eligible for selection if a page must be generated (e.g., to maintain proper page parity at the start or end of the page-sequence) and there are no areas from the fo:flow to be put on that page.
    `static Values.Break` | `BREAK_AUTO` No break shall be forced.
    `static Values.Break` | `BREAK_COLUMN` Imposes a break-after condition with a context consisting of column-areas.
    `static Values.Break` | `BREAK_EVEN_PAGE` Imposes a break-after condition with a context consisting of even page-areas (a blank page may be generated if necessary).
    `static Values.Break` | `BREAK_ODD_PAGE` Imposes a break-after condition with a context consisting of odd page-areas (a blank page may be generated if necessary).
    `static Values.Break` | `BREAK_PAGE` Imposes a break-after condition with a context consisting of page-areas.
    `static Values.DisplayAlignment` | `DISPLAY_ALIGN_AFTER` The after-edge of the allocation-rectangle of the last child area is placed coincident with the after-edge of the content-rectangle of the reference-area.
    `static Values.DisplayAlignment` | `DISPLAY_ALIGN_AUTO` If the "relative-align" property applies to this formatting object the "relative-align" property is used.
    `static Values.DisplayAlignment` | `DISPLAY_ALIGN_BEFORE` The before-edge of the allocation-rectangle of the first child area is placed coincident with the before-edge of the content-rectangle of the reference-area.
    `static Values.DisplayAlignment` | `DISPLAY_ALIGN_CENTER` The child areas are placed such that the distance between the before-edge of the allocation-rectangle of the first child area and the before-edge of the content-rectangle of the reference-area is the same as the distance between the after-edge of the allocation-rectangle of the last child area and the after-edge of the content-rectangle of the reference-area.
    `static Values.OddOrEven` | `EVEN` This master is eligible for selection if the page number is even.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_AUTO` Force the last page in this page-sequence to be an odd-page if the initial-page-number of the next page-sequence is even.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_END_ON_EVEN` Force the last page in this page-sequence to be an even-page.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_END_ON_ODD` Force the last page in this page-sequence to be an odd-page.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_EVEN` Force an even number of pages in this page-sequence.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_NO_FORCE` Do not force either an even or an odd number of pages in this page-sequence.
    `static Values.ForcePageCount` | `FORCE_PAGE_COUNT_ODD` Force an odd number of pages in this page-sequence.
    `static Values.LinefeedTreatment` | `LINEFEET_TREATMENT_IGNORE` Specifies that any character flow object whose Unicode code point is U+000A shall be discarded during the refinement process.
    `static Values.LinefeedTreatment` | `LINEFEET_TREATMENT_PRESERVE` Specifies no special action.
    `static Values.LinefeedTreatment` | `LINEFEET_TREATMENT_SPACE` Specifies that any character flow object whose Unicode code point is U+000A (linefeed) shall be converted during the refinement process into a character flow object whose Unicode code point is U+0020 (space).
    `static Values.LinefeedTreatment` | `LINEFEET_TREATMENT_ZERO_WIDTH_SPACE` Specifies that any character flow object whose Unicode code point is U+000A shall be converted during the refinement process into a character flow object whose Unicode code point is U+200B (zero width space).
    `static Values.BlankOrNot` | `NOT_BLANK` This master is eligible for selection if this page contains areas from the fo:flow.
    `static Values.OddOrEven` | `ODD` This master is eligible for selection if the page number is odd.
    `static Values.PagePosition` | `PAGE_POSITION_ANY` This master is eligible for selection regardless of page positioning within the page-sequence.
    `static Values.PagePosition` | `PAGE_POSITION_FIRST` This master is eligible for selection if this is the first page in the page-sequence.
    `static Values.PagePosition` | `PAGE_POSITION_LAST` This master is eligible for selection if this is the last page in the page-sequence.
    `static Values.PagePosition` | `PAGE_POSITION_REST` This master is eligible for selection if this is not the first page nor the last page in the page-sequence.
    `static Values.Pattern` | `PATTERN_DOTS` Leader is to be filled with a repeating sequence of dots.
    `static Values.Pattern` | `PATTERN_RULE` Leader is to be filled with a rule.
    `static Values.Pattern` | `PATTERN_SPACE` Leader is to be filled with blank space.
    `static Values.Pattern` | `PATTERN_USE_CONTENT` Leader is to be filled with a repeating pattern as specified by the children of the fo:leader.
    `static Values.Region` | `REGION_AFTER` Reserved region-name for use as default name of fo:region-after.
    `static Values.Region` | `REGION_BEFORE` Reserved region-name for use as default name of fo:region-before.
    `static Values.Region` | `REGION_BEFORE_FLOAT_SEPARATOR` Reserved name for content to be used as a separator at the end-edge of a before-float-reference-area.
    `static Values.Region` | `REGION_BODY` Reserved region-name for use as default name of fo:region-body.
    `static Values.Region` | `REGION_END` Reserved region-name for use as default name of fo:region-end.
    `static Values.Region` | `REGION_FOOTNOTE_SEPARATOR` Reserved name for content to be used as a separator at the start-edge of a footnote-reference-area.
    `static Values.Region` | `REGION_START` Reserved region-name for use as default name of fo:region-start.
    `static Values.Scaling` | `SCALING_NON_UNIFORM` Scaling need not preserve the aspect ratio.
    `static Values.Scaling` | `SCALING_UNIFORM` Scaling should preserve the aspect ratio.
    `static Values.VerticalAlignment` | `V_ALIGN_BASELINE` Align the baseline of the box with the baseline of the parent box.
    `static Values.VerticalAlignment` | `V_ALIGN_BOTTOM` Align the bottom of the box with the bottom of the line box.
    `static Values.VerticalAlignment` | `V_ALIGN_MIDDLE` Align the vertical midpoint of the box with the baseline of the parent box plus half the x-height of the parent.
    `static Values.VerticalAlignment` | `V_ALIGN_SUB` Lower the baseline of the box to the proper position for subscripts of the parent's box.
    `static Values.VerticalAlignment` | `V_ALIGN_SUPER` Raise the baseline of the box to the proper position for superscripts of the parent's box.
    `static Values.VerticalAlignment` | `V_ALIGN_TEXT_BOTTOM` Align the bottom of the box with the bottom of the parent element's font.
    `static Values.VerticalAlignment` | `V_ALIGN_TEXT_TOP` Align the top of the box with the top of the parent element's font.
    `static Values.VerticalAlignment` | `V_ALIGN_TOP` Align the top of the box with the top of the line box.
    `static Values.WhiteSpaceTreatment` | `WHITE_SPACE_TREATMENT_IGNORE` Any glyph-area whose Unicode character is classified as white space in XML, except for U+000A, shall be deleted during line-building and inline-building.
    `static Values.WhiteSpaceTreatment` | `WHITE_SPACE_TREATMENT_IGNORE_AFTER_LF` Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the first glyph-area descendant of a line-area.
    `static Values.WhiteSpaceTreatment` | `WHITE_SPACE_TREATMENT_IGNORE_BEFORE_LF` Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the last glyph-area descendant of a line-area.
    `static Values.WhiteSpaceTreatment` | `WHITE_SPACE_TREATMENT_IGNORE_SURROUNDING_LF` Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the first or last glyph-area descendant of a line-area.
    `static Values.WhiteSpaceTreatment` | `WHITE_SPACE_TREATMENT_PRESERVE` Any glyph-area whose Unicode character is classified as white space in XML shall not be deleted during line-building and inline-building.
    `static Values.WritingMode` | `WRITING_MODE_LR_TB` Inline components and text within a line are written left-to-right.
    `static Values.WritingMode` | `WRITING_MODE_RL_TB` Inline components and text within a line are written right-to-left.
    `static Values.WritingMode` | `WRITING_MODE_TB_RL` Inline components and text within a line are written top-to-bottom.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Values()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### BREAK_AUTO

          public static final Values.Break BREAK_AUTO

      No break shall be forced.

    - #### BREAK_PAGE

          public static final Values.Break BREAK_PAGE

      Imposes a break-after condition with a context consisting of page-areas.

    - #### BREAK_COLUMN

          public static final Values.Break BREAK_COLUMN

      Imposes a break-after condition with a context consisting of column-areas.

    - #### BREAK_EVEN_PAGE

          public static final Values.Break BREAK_EVEN_PAGE

      Imposes a break-after condition with a context consisting of even page-areas (a blank page may be generated if necessary).

    - #### BREAK_ODD_PAGE

          public static final Values.Break BREAK_ODD_PAGE

      Imposes a break-after condition with a context consisting of odd page-areas (a blank page may be generated if necessary).

    - #### REGION_BEFORE

          public static final Values.Region REGION_BEFORE

      Reserved region-name for use as default name of fo:region-before. This name may not be used on any other class of region.

    - #### REGION_AFTER

          public static final Values.Region REGION_AFTER

      Reserved region-name for use as default name of fo:region-after. This name may not be used on any other class of region.

    - #### REGION_START

          public static final Values.Region REGION_START

      Reserved region-name for use as default name of fo:region-start. This name may not be used on any other class of region.

    - #### REGION_END

          public static final Values.Region REGION_END

      Reserved region-name for use as default name of fo:region-end. This name may not be used on any other class of region.

    - #### REGION_BODY

          public static final Values.Region REGION_BODY

      Reserved region-name for use as default name of fo:region-body. This name may not be used on any other class of region.

    - #### REGION_BEFORE_FLOAT_SEPARATOR

          public static final Values.Region REGION_BEFORE_FLOAT_SEPARATOR

      Reserved name for content to be used as a separator at the end-edge of a before-float-reference-area. This name may not be used on any other class of region.

    - #### REGION_FOOTNOTE_SEPARATOR

          public static final Values.Region REGION_FOOTNOTE_SEPARATOR

      Reserved name for content to be used as a separator at the start-edge of a footnote-reference-area. This name may not be used on any other class of region.

    - #### ALIGNMENT_LEFT

          public static final Values.Alignment ALIGNMENT_LEFT

      Interpreted as "text-align='start'".

    - #### ALIGNMENT_START

          public static final Values.Alignment ALIGNMENT_START

      Specifies that the content is to be aligned on the start-edge in the inline-progression-direction.

    - #### ALIGNMENT_RIGHT

          public static final Values.Alignment ALIGNMENT_RIGHT

      Interpreted as "text-align='end'".

    - #### ALIGNMENT_END

          public static final Values.Alignment ALIGNMENT_END

      Specifies that the content is to be aligned on the end-edge in the inline-progression-direction.

    - #### ALIGNMENT_CENTER

          public static final Values.Alignment ALIGNMENT_CENTER

      Specifies that the content is to be centered in the inline-progression-direction.

    - #### ALIGNMENT_JUSTIFY

          public static final Values.Alignment ALIGNMENT_JUSTIFY

      Specifies that the contents is to be expanded to fill the available width in the inline-progression-direction.
      The last (or only) line of any block, and any lines in the block ending in U+000A, will be aligned in accordance with the "text-align-last" property value. If such lines are to be justified specify "text-align-last='justify'".

    - #### ALIGNMENT_INSIDE

          public static final Values.Alignment ALIGNMENT_INSIDE

      If the page binding edge is on the start-edge, the alignment will be start. If the binding is the end-edge, the alignment will be end. If neither, use start alignment.

    - #### ALIGNMENT_OUTSIDE

          public static final Values.Alignment ALIGNMENT_OUTSIDE

      If the page binding edge is on the start-edge, the alignment will be end. If the binding is the end-edge, the alignment will be start. If neither, use end alignment.

    - #### V_ALIGN_BASELINE

          public static final Values.VerticalAlignment V_ALIGN_BASELINE

      Align the baseline of the box with the baseline of the parent box. If the box doesn't have a baseline, align the bottom of the box with the parent's baseline.

    - #### V_ALIGN_MIDDLE

          public static final Values.VerticalAlignment V_ALIGN_MIDDLE

      Align the vertical midpoint of the box with the baseline of the parent box plus half the x-height of the parent.

    - #### V_ALIGN_SUB

          public static final Values.VerticalAlignment V_ALIGN_SUB

      Lower the baseline of the box to the proper position for subscripts of the parent's box.
      (This value has no effect on the font size of the element's text.)

    - #### V_ALIGN_SUPER

          public static final Values.VerticalAlignment V_ALIGN_SUPER

      Raise the baseline of the box to the proper position for superscripts of the parent's box.
      (This value has no effect on the font size of the element's text.)

    - #### V_ALIGN_TEXT_TOP

          public static final Values.VerticalAlignment V_ALIGN_TEXT_TOP

      Align the top of the box with the top of the parent element's font.

    - #### V_ALIGN_TEXT_BOTTOM

          public static final Values.VerticalAlignment V_ALIGN_TEXT_BOTTOM

      Align the bottom of the box with the bottom of the parent element's font.

    - #### V_ALIGN_TOP

          public static final Values.VerticalAlignment V_ALIGN_TOP

      Align the top of the box with the top of the line box.

    - #### V_ALIGN_BOTTOM

          public static final Values.VerticalAlignment V_ALIGN_BOTTOM

      Align the bottom of the box with the bottom of the line box.

    - #### PAGE_POSITION_FIRST

          public static final Values.PagePosition PAGE_POSITION_FIRST

      This master is eligible for selection if this is the first page in the page-sequence.

    - #### PAGE_POSITION_LAST

          public static final Values.PagePosition PAGE_POSITION_LAST

      This master is eligible for selection if this is the last page in the page-sequence.

    - #### PAGE_POSITION_REST

          public static final Values.PagePosition PAGE_POSITION_REST

      This master is eligible for selection if this is not the first page nor the last page in the page-sequence.

    - #### PAGE_POSITION_ANY

          public static final Values.PagePosition PAGE_POSITION_ANY

      This master is eligible for selection regardless of page positioning within the page-sequence.

    - #### ODD

          public static final Values.OddOrEven ODD

      This master is eligible for selection if the page number is odd.

    - #### EVEN

          public static final Values.OddOrEven EVEN

      This master is eligible for selection if the page number is even.

    - #### ANY_ODD_OR_EVEN

          public static final Values.OddOrEven ANY_ODD_OR_EVEN

      This master is eligible for selection regardless of whether the page number is odd or even.

    - #### BLANK

          public static final Values.BlankOrNot BLANK

      This master is eligible for selection if a page must be generated (e.g., to maintain proper page parity at the start or end of the page-sequence) and there are no areas from the fo:flow to be put on that page.

    - #### NOT_BLANK

          public static final Values.BlankOrNot NOT_BLANK

      This master is eligible for selection if this page contains areas from the fo:flow.

    - #### ANY_BLANK_OR_NOT

          public static final Values.BlankOrNot ANY_BLANK_OR_NOT

      This master is always eligible for selection.

    - #### DISPLAY_ALIGN_AUTO

          public static final Values.DisplayAlignment DISPLAY_ALIGN_AUTO

      If the "relative-align" property applies to this formatting object the "relative-align" property is used. If not, this value is treated as if "before" had been specified.

    - #### DISPLAY_ALIGN_BEFORE

          public static final Values.DisplayAlignment DISPLAY_ALIGN_BEFORE

      The before-edge of the allocation-rectangle of the first child area is placed coincident with the before-edge of the content-rectangle of the reference-area.

    - #### DISPLAY_ALIGN_AFTER

          public static final Values.DisplayAlignment DISPLAY_ALIGN_AFTER

      The after-edge of the allocation-rectangle of the last child area is placed coincident with the after-edge of the content-rectangle of the reference-area.

    - #### DISPLAY_ALIGN_CENTER

          public static final Values.DisplayAlignment DISPLAY_ALIGN_CENTER

      The child areas are placed such that the distance between the before-edge of the allocation-rectangle of the first child area and the before-edge of the content-rectangle of the reference-area is the same as the distance between the after-edge of the allocation-rectangle of the last child area and the after-edge of the content-rectangle of the reference-area.

    - #### PATTERN_SPACE

          public static final Values.Pattern PATTERN_SPACE

      Leader is to be filled with blank space.

    - #### PATTERN_DOTS

          public static final Values.Pattern PATTERN_DOTS

      Leader is to be filled with a repeating sequence of dots. The choice of dot character is dependent on the user agent.

    - #### PATTERN_RULE

          public static final Values.Pattern PATTERN_RULE

      Leader is to be filled with a rule. If this choice is selected, the "rule-thickness" and "rule-style" properties are used to set the leader's style.

    - #### PATTERN_USE_CONTENT

          public static final Values.Pattern PATTERN_USE_CONTENT

      Leader is to be filled with a repeating pattern as specified by the children of the fo:leader.

    - #### SCALING_UNIFORM

          public static final Values.Scaling SCALING_UNIFORM

      Scaling should preserve the aspect ratio.

    - #### SCALING_NON_UNIFORM

          public static final Values.Scaling SCALING_NON_UNIFORM

      Scaling need not preserve the aspect ratio.

    - #### LINEFEET_TREATMENT_IGNORE

          public static final Values.LinefeedTreatment LINEFEET_TREATMENT_IGNORE

      Specifies that any character flow object whose Unicode code point is U+000A shall be discarded during the refinement process.

    - #### LINEFEET_TREATMENT_PRESERVE

          public static final Values.LinefeedTreatment LINEFEET_TREATMENT_PRESERVE

      Specifies no special action.

    - #### LINEFEET_TREATMENT_SPACE

          public static final Values.LinefeedTreatment LINEFEET_TREATMENT_SPACE

      Specifies that any character flow object whose Unicode code point is U+000A (linefeed) shall be converted during the refinement process into a character flow object whose Unicode code point is U+0020 (space).
      This is the initial value.

    - #### LINEFEET_TREATMENT_ZERO_WIDTH_SPACE

          public static final Values.LinefeedTreatment LINEFEET_TREATMENT_ZERO_WIDTH_SPACE

      Specifies that any character flow object whose Unicode code point is U+000A shall be converted during the refinement process into a character flow object whose Unicode code point is U+200B (zero width space).
      Note:
      The Unicode Standard recommends that the zero width space is considered a valid line-break point and that if two characters with a zero width space in between are placed on the same line they are placed with no space between them and that if they are placed on two lines no additional glyph area, such as for a hyphen, is created at the line-break.

    - #### WHITE_SPACE_TREATMENT_IGNORE

          public static final Values.WhiteSpaceTreatment WHITE_SPACE_TREATMENT_IGNORE

      Any glyph-area whose Unicode character is classified as white space in XML, except for U+000A, shall be deleted during line-building and inline-building.

    - #### WHITE_SPACE_TREATMENT_PRESERVE

          public static final Values.WhiteSpaceTreatment WHITE_SPACE_TREATMENT_PRESERVE

      Any glyph-area whose Unicode character is classified as white space in XML shall not be deleted during line-building and inline-building.

    - #### WHITE_SPACE_TREATMENT_IGNORE_BEFORE_LF

          public static final Values.WhiteSpaceTreatment WHITE_SPACE_TREATMENT_IGNORE_BEFORE_LF

      Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the last glyph-area descendant of a line-area.

    - #### WHITE_SPACE_TREATMENT_IGNORE_AFTER_LF

          public static final Values.WhiteSpaceTreatment WHITE_SPACE_TREATMENT_IGNORE_AFTER_LF

      Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the first glyph-area descendant of a line-area.

    - #### WHITE_SPACE_TREATMENT_IGNORE_SURROUNDING_LF

          public static final Values.WhiteSpaceTreatment WHITE_SPACE_TREATMENT_IGNORE_SURROUNDING_LF

      Any glyph-area with a suppress-at-line-break value of 'suppress' shall be deleted during line-building and inline-building if it would be the first or last glyph-area descendant of a line-area.
      This is the default value for white-space-treatment.

    - #### WRITING_MODE_LR_TB

          public static final Values.WritingMode WRITING_MODE_LR_TB

      Inline components and text within a line are written left-to-right. Lines and blocks are placed top-to-bottom. Typically, this is the writing-mode for normal "alphabetic" text.

    - #### WRITING_MODE_RL_TB

          public static final Values.WritingMode WRITING_MODE_RL_TB

      Inline components and text within a line are written right-to-left. Typically, this writing mode is used in Arabic and Hebrew text. Lines and blocks are placed top-to-bottom.

    - #### WRITING_MODE_TB_RL

          public static final Values.WritingMode WRITING_MODE_TB_RL

      Inline components and text within a line are written top-to-bottom. Lines and blocks are placed right-to-left. Typically, this writing mode is used in Chinese and Japanese text.

    - #### FORCE_PAGE_COUNT_AUTO

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_AUTO

      Force the last page in this page-sequence to be an odd-page if the initial-page-number of the next page-sequence is even. Force it to be an even-page if the initial-page-number of the next page-sequence is odd. If there is no next page-sequence or if the value of its initial-page-number is "auto" do not force any page.

    - #### FORCE_PAGE_COUNT_EVEN

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_EVEN

      Force an even number of pages in this page-sequence.

    - #### FORCE_PAGE_COUNT_ODD

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_ODD

      Force an odd number of pages in this page-sequence.

    - #### FORCE_PAGE_COUNT_END_ON_EVEN

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_END_ON_EVEN

      Force the last page in this page-sequence to be an even-page.

    - #### FORCE_PAGE_COUNT_END_ON_ODD

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_END_ON_ODD

      Force the last page in this page-sequence to be an odd-page.

    - #### FORCE_PAGE_COUNT_NO_FORCE

          public static final Values.ForcePageCount FORCE_PAGE_COUNT_NO_FORCE

      Do not force either an even or an odd number of pages in this page-sequence.

  - ### Constructor Detail

    - #### Values

          public Values()

© 2003-2011 by Sascha Schmidt (vision-cloud.de). All Rights Reserved.